## ros-iron-ublox-nav-sat-fix-hp-node 0.4.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)
project(ublox_nav_sat_fix_hp_node)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(ament_cmake_core REQUIRED)
find_package(ament_cmake_test REQUIRED)
# find_package(ament_cmake_uncrustify REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_components REQUIRED)
find_package(std_msgs REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(ublox_ubx_msgs REQUIRED)
find_package(ublox_ubx_interfaces REQUIRED)
# find_package(ublox_dgnss REQUIRED)


# include directories
include_directories(include SYSTEM)

add_library(ublox_nav_sat_fix_hp_components SHARED
  src/ublox_nav_sat_fix_hp_node.cpp
)

# target_compile_definitions(ublox_nav_sat_fix_hp_components
#   PRIVATE "UBLOX_NAV_SAT_FIX_HP_NODE_BUILDING_DLL"
# )

ament_target_dependencies(ublox_nav_sat_fix_hp_components
  rclcpp
  rclcpp_components
  std_msgs
  sensor_msgs
  ublox_ubx_msgs
  ublox_ubx_interfaces
)

rclcpp_components_register_node(ublox_nav_sat_fix_hp_components
  PLUGIN "ublox_nav_sat_fix_hp::UbloxNavSatHpFixNode"
  EXECUTABLE ublox_nav_sat_fix_hp)

# install executable
install(TARGETS
ublox_nav_sat_fix_hp_components
ARCHIVE DESTINATION lib
LIBRARY DESTINATION lib
RUNTIME DESTINATION bin
)


if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  # the following line skips the linter which checks for copyrights
  # uncomment the line when a copyright and license is not present in all source files
  #set(ament_cmake_copyright_FOUND TRUE)
  # the following line skips cpplint (only works in a git repo)
  # uncomment the line when this package is not in a git repo
  #set(ament_cmake_cpplint_FOUND TRUE)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-iron-ublox-nav-sat-fix-hp-node (0.4.4-1jammy) jammy; urgency=high

  * cmake uncrustify changes
  * Contributors: Nick Hortovanyi

 -- Geoff Sokoll <geoff.s@cmpeng.com.au>  Tue, 23 May 2023 14:00:00 -0000

ros-iron-ublox-nav-sat-fix-hp-node (0.4.3-1jammy) jammy; urgency=high

  * added ament_cmake_uncrustify
  * Contributors: Nick Hortovanyi

 -- Geoff Sokoll <geoff.s@cmpeng.com.au>  Tue, 23 May 2023 14:00:00 -0000

ros-iron-ublox-nav-sat-fix-hp-node (0.4.2-1jammy) jammy; urgency=high



 -- Geoff Sokoll <geoff.s@cmpeng.com.au>  Tue, 23 May 2023 14:00:00 -0000

ros-iron-ublox-nav-sat-fix-hp-node (0.4.1-1jammy) jammy; urgency=high

  * updates for release
  * Merge pull request #10 <https://github.com/aussierobots/ublox_dgnss/issues/10> from aussierobots/F9R-and-RTCM
    F9 r and rtcm
  * Merge pull request #9 <https://github.com/aussierobots/ublox_dgnss/issues/9> from gsokoll/F9R-and-RTCM
    Composable node version of navsatfix
  * Composable node version of navsatfix.  Added example launch file.
  * Merge pull request #7 <https://github.com/aussierobots/ublox_dgnss/issues/7> from CMP-Engineers/navsatfix
    Navsatfix
  * renamed node, clang formatted, updated README
  * Contributors: Geoff Sokoll, Nick Hortovanyi
  * Merge pull request #10 <https://github.com/aussierobots/ublox_dgnss/issues/10> from aussierobots/F9R-and-RTCM
    F9 r and rtcm
  * Merge pull request #9 <https://github.com/aussierobots/ublox_dgnss/issues/9> from gsokoll/F9R-and-RTCM
    Composable node version of navsatfix
  * Composable node version of navsatfix.  Added example launch file.
  * Merge pull request #7 <https://github.com/aussierobots/ublox_dgnss/issues/7> from CMP-Engineers/navsatfix
    Navsatfix
  * renamed node, clang formatted, updated README
  * Contributors: Geoff Sokoll, Nick Hortovanyi
  * Merge pull request #10 <https://github.com/aussierobots/ublox_dgnss/issues/10> from aussierobots/F9R-and-RTCM
    F9 r and rtcm
  * Merge pull request #9 <https://github.com/aussierobots/ublox_dgnss/issues/9> from gsokoll/F9R-and-RTCM
    Composable node version of navsatfix
  * Composable node version of navsatfix.  Added example launch file.
  * Merge pull request #7 <https://github.com/aussierobots/ublox_dgnss/issues/7> from CMP-Engineers/navsatfix
    Navsatfix
  * renamed node, clang formatted, updated README
  * Contributors: Geoff Sokoll, Nick Hortovanyi

 -- Geoff Sokoll <geoff.s@cmpeng.com.au>  Tue, 23 May 2023 14:00:00 -0000

ros-iron-ublox-nav-sat-fix-hp-node (0.3.5-1jammy) jammy; urgency=high



 -- Geoff Sokoll <geoff.s@cmpeng.com.au>  Tue, 24 May 2022 07:44:00 -0000

ros-iron-ublox-nav-sat-fix-hp-node (0.3.4-1jammy) jammy; urgency=high



 -- Geoff Sokoll <geoff.s@cmpeng.com.au>  Mon, 23 May 2022 21:12:00 -0000

ros-iron-ublox-nav-sat-fix-hp-node (0.3.3-1jammy) jammy; urgency=high



 -- Geoff Sokoll <geoff.s@cmpeng.com.au>  Mon, 23 May 2022 20:14:00 -0000

ros-iron-ublox-nav-sat-fix-hp-node (0.3.2-1jammy) jammy; urgency=high



 -- Geoff Sokoll <geoff.s@cmpeng.com.au>  Fri, 13 May 2022 04:11:00 -0000

ros-iron-ublox-nav-sat-fix-hp-node (0.3.1-1jammy) jammy; urgency=high



 -- Geoff Sokoll <geoff.s@cmpeng.com.au>  Fri, 13 May 2022 02:43:00 -0000

ros-iron-ublox-nav-sat-fix-hp-node (0.3.0-1jammy) jammy; urgency=high



 -- Geoff Sokoll <geoff.s@cmpeng.com.au>  Fri, 13 May 2022 00:26:00 -0000

ros-iron-ublox-nav-sat-fix-hp-node (0.2.3-1jammy) jammy; urgency=high



 -- Geoff Sokoll <geoff.s@cmpeng.com.au>  Sat, 24 Jul 2021 14:00:00 -0000

ros-iron-ublox-nav-sat-fix-hp-node (0.2.2-1jammy) jammy; urgency=high



 -- Geoff Sokoll <geoff.s@cmpeng.com.au>  Wed, 21 Jul 2021 21:14:00 -0000

ros-iron-ublox-nav-sat-fix-hp-node (0.2.1-1jammy) jammy; urgency=high



 -- Geoff Sokoll <geoff.s@cmpeng.com.au>  Wed, 21 Jul 2021 19:24:00 -0000

ros-iron-ublox-nav-sat-fix-hp-node (0.2.0-1jammy) jammy; urgency=high



 -- Geoff Sokoll <geoff.s@cmpeng.com.au>  Mon, 19 Jul 2021 14:00:00 -0000

ros-iron-ublox-nav-sat-fix-hp-node (0.1.0-1jammy) jammy; urgency=high



 -- Geoff Sokoll <geoff.s@cmpeng.com.au>  Sat, 10 Jul 2021 14:00:00 -0000

=== debian/control ===
Source: ros-iron-ublox-nav-sat-fix-hp-node
Section: misc
Priority: optional
Maintainer: Geoff Sokoll <geoff.s@cmpeng.com.au>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-cmake-copyright <!nocheck>, ros-iron-ament-cmake-cppcheck <!nocheck>, ros-iron-ament-cmake-uncrustify <!nocheck>, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-rclcpp, ros-iron-rclcpp-components, ros-iron-sensor-msgs, ros-iron-std-msgs, ros-iron-ublox-ubx-interfaces, ros-iron-ublox-ubx-msgs, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-ublox-nav-sat-fix-hp-node
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-rclcpp, ros-iron-rclcpp-components, ros-iron-sensor-msgs, ros-iron-std-msgs, ros-iron-ublox-ubx-interfaces, ros-iron-ublox-ubx-msgs, ros-iron-ros-workspace
Description: Provides a NavSatFix node for a u-blox GPS GNSS receiver using Gen 9 UBX Protocol

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-ublox-nav-sat-fix-hp-node//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
